import { VineValidator } from '@vinejs/vine';
import { SchemaTypes } from '@vinejs/vine/types';
import { AKAPIException } from '../exceptions/api_exception.js';
type AKVineHandlerMetaDataSchema = {
    schema: any;
    validator: VineValidator<SchemaTypes, Record<string, any>>;
};
export declare class AKVineHandlerMetaData {
    #private;
    static getRequestQueryParameters(handler: {
        reference: any;
    }): AKVineHandlerMetaDataSchema | undefined;
    static setRequestQueryParameters(target: any, propertyName: string, schema: SchemaTypes): void;
    static getRequestSchema(handler: {
        reference: any;
    }): AKVineHandlerMetaDataSchema | undefined;
    static setRequestSchema(target: any, propertyName: string, schema: SchemaTypes): void;
    static getResponseSchema(handler: {
        reference: any;
    }): AKVineHandlerMetaDataSchema | undefined;
    static setResponseSchema(target: any, propertyName: string, schema: SchemaTypes): void;
    static getResponseStatusCode(handler: {
        reference: any;
    }): number | undefined;
    static setResponseStatusCode(target: any, propertyName: string, statusCode: number): void;
    static getResponseErrors(handler: {
        reference: any;
    }): AKAPIException[] | undefined;
    static setResponseErrors(target: any, propertyName: string, errors: AKAPIException[]): void;
}
export {};
